Index: asp3_wo_tecs/trunk/kernel/interrupt.trb
===================================================================
--- asp3_wo_tecs/trunk/kernel/interrupt.trb	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/interrupt.trb	(revision 306)
@@ -53,5 +53,5 @@
 #   ã®è²¬ä»»ãè² ããªãï¼
 # 
-#   $Id: interrupt.trb 612 2016-02-08 04:27:57Z ertl-hiro $
+#   $Id: interrupt.trb 678 2016-03-06 02:36:09Z ertl-hiro $
 # 
 
@@ -78,5 +78,5 @@
 #  ãã¬ã¼ã¹ã­ã°ãã¯ã­ã®ããã©ã«ãå®ç¾©
 #
-$kernelCfgC.append(<<EOS)
+$kernelCfgC.add(<<EOS)
 #ifndef LOG_ISR_ENTER
 #define LOG_ISR_ENTER(isrid)
@@ -86,5 +86,4 @@
 #define LOG_ISR_LEAVE(isrid)
 #endif /* LOG_ISR_LEAVE */
-
 EOS
 
@@ -105,5 +104,5 @@
 # 
 if $INTPRI_CFGINT_VALID.nil?
-  $INTPRI_CFGINT_VALID = $TMIN_INTPRI.val.upto($TMAX_INTPRI.val).to_a
+  $INTPRI_CFGINT_VALID = $TMIN_INTPRI.upto($TMAX_INTPRI).to_a
 end
 
@@ -151,6 +150,6 @@
     if !$INTNO_FIX_NONKERNEL.index(params[:intno]).nil?
       if params[:intpri] >= $TMIN_INTPRI
-        error_ercd("E_OBJ", params, "intno `#{params[:intno]}'" \
-							" must have higher priority than TMIN_INTPRI")
+        error_ercd("E_OBJ", params, "%%intno must have higher priority " \
+											"than TMIN_INTPRI in %apiname")
       end
     end
@@ -162,6 +161,6 @@
     if !$INTNO_FIX_KERNEL.index(params[:intno]).nil?
       if params[:intpri] < $TMIN_INTPRI
-        error_ercd("E_OBJ", params, "intno `#{params[:intno]}'" \
-					" must have lower or equal priority to TMIN_INTPRI")
+        error_ercd("E_OBJ", params, "%%intno must have lower or equal " \
+									"priority to TMIN_INTPRI in %apiname")
       end
     end
@@ -180,5 +179,5 @@
   # inhatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI3052ï¼½
   #ï¼TARGET_INHATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
-  if (params[:inhatr] & ~$TARGET_INHATR) != 0
+  if (params[:inhatr] & ~($TARGET_INHATR)) != 0
     error_illegal_sym("E_RSATR", params, :inhatr, :inhno)
   end
@@ -189,6 +188,6 @@
     if !$INHNO_FIX_NONKERNEL.index(params[:inhno]).nil?
       if (params[:inhatr] & $TA_NONKERNEL) == 0
-        error_ercd("E_RSATR", params, "inhno `#{params[:inhno]}'" \
-									" must be non-kernel interrupt")
+        error_ercd("E_RSATR", params, "%%inhno must be " \
+								"non-kernel interrupt in %apiname")
       end
     end
@@ -200,6 +199,6 @@
     if !$INHNO_FIX_KERNEL.index(params[:inhno]).nil?
       if (params[:inhatr] & $TA_NONKERNEL) != 0
-        error_ercd("E_RSATR", params, "inhno `#{params[:inhno]}'" \
-									" must not be non-kernel interrupt")
+        error_ercd("E_RSATR", params, "%%inhno must not be " \
+								"non-kernel interrupt in %apiname")
       end
     end
@@ -211,6 +210,6 @@
     # inhnoã«å¯¾å¿ããintnoã«å¯¾ããCFG_INTããªãå ´åï¼E_OBJï¼ï¼»NGKI3062ï¼½
     if !$cfgData[:CFG_INT].has_key?(intnoVal)
-      error_ercd("E_OBJ", params, "intno `#{intnoVal}' corresponding to" \
-				" inhno `#{params[:inhno]}' is not configured with CFG_INT")
+      error_ercd("E_OBJ", params, "intno `#{intnoVal}' corresponding to " \
+					"%%inhno in %apiname is not configured with CFG_INT")
     else
       intnoParams = $cfgData[:CFG_INT][intnoVal]
@@ -221,7 +220,6 @@
         # ããå ´åï¼E_OBJï¼ï¼»NGKI3065ï¼½
         if intnoParams[:intpri] < $TMIN_INTPRI
-          error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}'" \
-						" configured for inhno `#{params[:inhno]}' must" \
-						" be lower or equal to TMIN_INTPRI")
+          error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}' " \
+				"configured for %%inhno must be lower or equal to TMIN_INTPRI")
         end
       else
@@ -231,7 +229,6 @@
         # å ´åï¼E_OBJï¼ï¼»NGKI3066ï¼½
         if intnoParams[:intpri] >= $TMIN_INTPRI
-          error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}'" \
-						" configured for inhno `#{params[:inhno]}' must" \
-						" be higher than with TMIN_INTPRI")
+          error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}' " \
+					"configured for %%inhno must be higher than TMIN_INTPRI")
         end
       end
@@ -246,5 +243,5 @@
   #	isratrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2998ï¼½
   #ï¼TARGET_ISRATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
-  if (params[:isratr] & ~$TARGET_ISRATR) != 0
+  if (params[:isratr] & ~($TARGET_ISRATR)) != 0
     error_illegal("E_RSATR", params, "isratr")
   end
@@ -267,5 +264,5 @@
   isrParamsList = []
   $cfgData[:CRE_ISR].sort.each do |key, params|
-    if params[:intno].val == intnoVal
+    if params[:intno] == intnoVal
       isrParamsList.push(params)
     end
@@ -279,14 +276,12 @@
     if $cfgData[:DEF_INH].has_key?(inhnoVal)
       inhnoParams = $cfgData[:DEF_INH][inhnoVal]
-      error_ercd("E_OBJ", isrParamsList[0], \
-					"intno `#{isrParamsList[0][:intno]}' in CRE_ISR" \
-					" is duplicated with inhno #{inhnoParams[:inhno]}")
+      error_ercd("E_OBJ", isrParamsList[0], "%%intno in %apiname " \
+					"is duplicated with inhno #{inhnoParams[:inhno]}")
     end
 
     # intnoã«å¯¾ããCFG_INTããªãå ´åï¼E_OBJï¼ï¼»NGKI3012ï¼½
     if !$cfgData[:CFG_INT].has_key?(intnoVal)
-      error_ercd("E_OBJ", isrParamsList[0], \
-						"intno `#{isrParamsList[0][:intno]}'" \
-						" is not configured with CFG_INT")
+      error_ercd("E_OBJ", isrParamsList[0], "%%intno in %apiname " \
+									"is not configured with CFG_INT")
     else
       intnoParams = $cfgData[:CFG_INT][intnoVal]
@@ -297,7 +292,6 @@
       if intnoParams[:intpri] < $TMIN_INTPRI
         error_ercd("E_OBJ", isrParamsList[0],
-						"intpri `#{intnoParams[:intpri]}' configured for" \
-						" intno `#{isrParamsList[0][:intno]}}' in higher" \
-						" than TMIN_INTPRI")
+						"intpri `#{intnoParams[:intpri]}' configured for " \
+						"%%intno with CFG_INT in higher than TMIN_INTPRI")
       end
     end
@@ -305,10 +299,9 @@
     # æ¬¡ã®DEF_INHã«ç¸å½ãããã¼ã¿ãçæ
     # DEF_INH(inhno, { TA_NULL, _kernel_inthdr_<intno> } );
-    params = {
-      :inhno => StrVal.new(inhnoVal.to_s, inhnoVal),
-      :inhatr => $TA_NULL,
-      :inthdr => StrVal.new("_kernel_inthdr_#{intnoVal}")
+    $cfgData[:DEF_INH][inhnoVal] = {
+      inhno: NumStr.new(inhnoVal),
+      inhatr: NumStr.new($TA_NULL, "TA_NULL"),
+      inthdr: "_kernel_inthdr_#{intnoVal}"
     }
-    $cfgData[:DEF_INH][inhnoVal] = params
 
     # å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ç¨ã®å²è¾¼ã¿ãã³ãã©
@@ -340,12 +333,11 @@
 å ±ã®çæ
 #
-if $OMIT_INITIALIZE_INTERRUPT.nil? || !$USE_INHINIB_TABLE.nil?
+if !$OMIT_INITIALIZE_INTERRUPT || $USE_INHINIB_TABLE
   #
   #  å®ç¾©ããå²è¾¼ã¿ãã³ãã©ã®æ°
   #
-  $kernelCfgC.append(<<EOS)
+  $kernelCfgC.add(<<EOS)
 #define TNUM_DEF_INHNO	#{$cfgData[:DEF_INH].size}
 const uint_t _kernel_tnum_def_inhno = TNUM_DEF_INHNO;
-
 EOS
 
@@ -388,12 +380,11 @@
 å ±ã®çæ
 #
-if $OMIT_INITIALIZE_INTERRUPT.nil? || !$USE_INTINIB_TABLE.nil?
+if !$OMIT_INITIALIZE_INTERRUPT || $USE_INTINIB_TABLE
   #
   #  è¨­å®ããå²è¾¼ã¿è¦æ±ã©ã¤ã³ã®æ°
   #
-  $kernelCfgC.append(<<EOS)
+  $kernelCfgC.add(<<EOS)
 #define TNUM_CFG_INTNO	#{$cfgData[:CFG_INT].size}
 const uint_t _kernel_tnum_cfg_intno = TNUM_CFG_INTNO;
-
 EOS
 
